interface HttpsOptions {
    keyPath: string;
    certPath: string;
}
export type CosmosConfig = {
    exportPath: string;
    detectLocalPlugins: boolean;
    disablePlugins: boolean;
    fixtureFileSuffix: string;
    fixturesDir: string;
    globalImports: string[];
    hostname: null | string;
    https: boolean;
    httpsOptions: null | HttpsOptions;
    port: number;
    plugins: string[];
    publicUrl: string;
    rendererUrl: string | null;
    rootDir: string;
    staticPath: null | string;
    userDepsFilePath: string;
    watchDirs: string[];
    [option: string]: unknown;
    ui: {
        [pluginName: string]: {};
    };
};
export type CosmosConfigInput = Partial<CosmosConfig>;
export {};
