import path from 'path';
import { pathToFileURL } from 'url';
export async function requirePluginModule(rootDir, pluginConfig, configKey) {
    const moduleId = pluginConfig[configKey];
    if (!moduleId) {
        throw new Error(`Module missing in plugin "${pluginConfig.name}": ${configKey}`);
    }
    const esModule = await import(pathToFileURL(path.resolve(rootDir, moduleId)).href);
    return esModule.default;
}
