// NOTE: This API has been extracted to easily mock the file system in tests
import fs from 'fs';
import { requireModule } from './requireModule.js';
import { resolve } from './resolve.js';
export async function importModule(moduleId) {
    return moduleId.endsWith('.json')
        ? requireModule(moduleId)
        : import(moduleId);
}
// Better than fs.exists because it works for module paths without an extension
export function moduleExists(moduleId) {
    try {
        return resolve(moduleId) && true;
    }
    catch (err) {
        return false;
    }
}
export function fileExists(filePath) {
    return fs.existsSync(filePath) && fs.lstatSync(filePath).isFile();
}
export function dirExists(dirPath) {
    return fs.existsSync(dirPath) && fs.lstatSync(dirPath).isDirectory();
}
